### Method

# FwupdPlugin Firmware get_image_by_idx_stream

since: 2.0.0

#### Declaration [src]

    GInputStream*
    fu_firmware_get_image_by_idx_stream (
      FuFirmware* self,
      guint64 idx,
      GError** error
    )

#### Description [src]

Gets the firmware image stream using the image index.

Available since: 2.0.0

#### Parameters

`idx`

  Type: `guint64`

  Image index.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

A `GInputStream` of a `FuFirmware`, or `NULL` if the image is not found.

The caller of the method takes ownership of the data, and is responsible for freeing it.